POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "29692125-652f-4c18-9327-372723073c10",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "e0bb4a45-64db-49b9-baf7-d0a60fef815c",
"contractItem_ID": "7b61c07f-7ee9-46c0-96f8-9787b2ef1fdb",
"departement_ID": "e924f192-7e03-4114-a1a6-ae0c540c8df3",
"departmentItem_ID": "ab8c4c91-aae2-4171-8077-40c84bbf6896",
"iD": "67cf43be-b745-4147-bd69-7a01fe9ba87c",
"site_ID": "f28343f7-f34b-412d-bc53-c1914c75b780",
"siteCustomer_ID": "80283c17-ae79-4da1-ad70-cbd5992aaa6c",
"sticker_ID": "d1b29e0d-1ac3-40ea-bde6-dfe87bee5105",
"garment_ID": "d17a2d5f-4d07-4724-81f1-9ef238b9fb71"
},
{
"active": true,
"contract_ID": "e0bb4a45-64db-49b9-baf7-d0a60fef815c",
"contractItem_ID": "7b61c07f-7ee9-46c0-96f8-9787b2ef1fdb",
"departement_ID": "e924f192-7e03-4114-a1a6-ae0c540c8df3",
"departmentItem_ID": "ab8c4c91-aae2-4171-8077-40c84bbf6896",
"iD": "67cf43be-b745-4147-bd69-7a01fe9ba87c",
"site_ID": "f28343f7-f34b-412d-bc53-c1914c75b780",
"siteCustomer_ID": "80283c17-ae79-4da1-ad70-cbd5992aaa6c",
"sticker_ID": "d1b29e0d-1ac3-40ea-bde6-dfe87bee5105",
"garment_ID": "d17a2d5f-4d07-4724-81f1-9ef238b9fb71"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "69c9c8f4-7787-4778-bfc3-e741a0c20a79",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "0e9d2489-08af-48ae-be3e-21876279e754",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "1c0e63bd-e5cf-486b-b5c1-493d16069699",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "27cc7edd-ec16-4ff3-b1eb-9bdd67567970",
"stickerField_ID": "c3441494-ff52-439e-980f-73e253ef055f",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "69c9c8f4-7787-4778-bfc3-e741a0c20a79",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "0e9d2489-08af-48ae-be3e-21876279e754",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "1c0e63bd-e5cf-486b-b5c1-493d16069699",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "27cc7edd-ec16-4ff3-b1eb-9bdd67567970",
"stickerField_ID": "c3441494-ff52-439e-980f-73e253ef055f",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "9a93a241-9798-4c5e-bbd2-5cdbb2a393b7",
"stickerType_ID": "47a016c2-d250-45f3-a9df-e86e1f03efe7",
"stickerRelation_IDs": [
"8b955f04-2cab-46cb-941c-9929e5eaa2b6",
"259b8f0e-fe86-41c4-9e3b-ee1ef50ae03c"
],
"site_ID": "cb3b0218-01c0-4d68-9368-1fa3701354ea"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"43e32c04-1ac2-43bc-baaa-a2be75c3b955"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">43e32c04-1ac2-43bc-baaa-a2be75c3b955</guid>